# Trait deltae::Validate
[−][src]

    pub trait Validate where
        Self: Sized, {
        fn validate(self) -> Result<Self, ValueError>;
    }

Expand description

Trait to validate whether a type has appropriate values

## Required methods

[src]

#### fn validate(self) -> Result<Self, ValueError>

Return `Err()` if the values are invalid

## Implementors

[src]

### impl Validate for LabValue

[src]

### impl Validate for LchValue

[src]

### impl Validate for XyzValue